%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}
%global rubyabi 1.9.1

%global gem_name compass-import-once

Name:          %{?scl_prefix}rubygem-%{gem_name}
Summary:       Changes the behavior of Sass's @import directive to only import a file once
Version:       1.0.5
Release:       1%{?dist}
Group:         Development/Languages
License:       MIT
URL:           https://github.com/chriseppstein/compass/tree/master/import-once
Source0:       https://rubygems.org/downloads/compass-import-once-%{version}.gem
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}rubygem(sass) >= 3.2.19
Requires:      %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires:      %{?scl_prefix}ruby(rubygems)
Requires:      %{?scl_prefix}rubygem(sass) >= 3.2.19
BuildArch:     noarch
Provides:      %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Changes the behavior of Sass's @import directive to only import a file once

%prep
%{?scl:scl enable %{scl} "}
gem unpack %{SOURCE0}
%{?scl:"}
%setup -q -D -T -n  %{gem_name}-%{version}
%{?scl:scl enable %{scl} "}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
mkdir -p ./%{gem_dir}
%{?scl:scl enable %{scl} "}
gem build %{gem_name}.gemspec
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:"}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# rpmlint will complain about these files
#rm %{buildroot}%{gem_instdir}/frameworks/compass/stylesheets/compass/utilities/general/_tabs.sass
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%check
pushd .%{gem_instdir}
%{?scl:scl enable %{scl} "}
export LANG=en_US.utf8
ruby -Ilib:test -e 'Dir.glob \"./test/**/*_test.rb\"'
%{?scl:"}
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/LICENSE.txt
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/VERSION
%doc %{gem_instdir}/test
%doc %{gem_docdir}
%doc %{gem_instdir}/compass-import-once.gemspec
%{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/Gemfile*

%changelog
* Tue Dec 23 2014 Josko Plazonic <plazonic@princeton.edu>
- initial build
